function l(e, o) {
  return {
    motionName: o ?? `${e}-move-up`
  };
}
function i(e) {
  let o;
  const r = new Promise((t) => {
    o = e(() => {
      t(!0);
    });
  }), n = () => {
    o == null || o();
  };
  return n.then = (t, u) => r.then(t, u), n.promise = r, n;
}
export {
  l as getMotion,
  i as wrapPromiseFn
};
